Stock variants
List variant recipes
Retrieves all product recipes associated with a specific stock variant.
Retrieves all product recipes associated with a specific stock variant.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
StockVariant identifier
Query Parameters
page?integer
The collection page number
Default
1itemsPerPage?integer
The number of items per page
Default
10Range
0 <= valuepagination?boolean
Enable or disable pagination
id?integer
id[]?array<>
stock.id?integer
stock.id[]?array<>
stock.category.name?string
stock.type?string
stock.type[]?array<>
stock.currency.code?string
stock.supplier.name?string
stock.tax.name?string
alertLevel?string
alertLevel[]?array<>
stock.isArchive?boolean
stock.isMaking?boolean
excludeStock?string
order[id]?string
Default
"asc"Value in
"asc" | "desc"order[name]?string
Default
"asc"Value in
"asc" | "desc"order[code]?string
Default
"asc"Value in
"asc" | "desc"order[stock.category.name]?string
Default
"asc"Value in
"asc" | "desc"order[stock.supplier.name]?string
Default
"asc"Value in
"asc" | "desc"order[stock.tax.name]?string
Default
"asc"Value in
"asc" | "desc"order[averageCost]?string
Default
"asc"Value in
"asc" | "desc"order[stock.currency.code]?string
Default
"asc"Value in
"asc" | "desc"order[alertLevel]?string
Default
"asc"Value in
"asc" | "desc"Response Body
application/json
curl -X GET "https://api.skalasuite.com/api/stock_variants/string/recipes"[
{
"id": 0,
"stock": {
"id": 0,
"name": "string",
"category": {},
"unit": {
"id": 0,
"name": "string"
},
"isTrackByLot": true,
"supplier": {
"id": 0,
"name": "string"
},
"type": "string",
"tax": {
"id": 0,
"rate": "string",
"name": "string"
},
"currency": {
"id": 0,
"name": "string",
"code": "string",
"symbol": "string"
},
"isMaking": true,
"isBuying": true,
"trackType": "string",
"isArchive": true,
"buyingUnit": {
"id": 0,
"name": "string"
},
"unitConversion": 1
},
"averageCost": "string",
"valueInStock": "string",
"alertLevel": "string",
"code": "string",
"stockVariantOptionValues": [
{}
],
"name": "string",
"defaultPrice": "string",
"price": "string",
"materialCost": "string",
"operationCost": "string",
"totalCost": "string",
"salePrice": "string",
"profit": "string",
"margin": "string",
"internalBarcode": "string",
"leadTime": "string",
"registeredBarcode": "string",
"supplierBarcode": "string",
"serviceLevel": 0,
"customFields": [
"/entity/1"
],
"label": "string"
}
]